package cz.moneta.test.dsl.util.task.cagw.api;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id.balance.Balance;

import java.util.function.Function;

public class BalanceTasks {

    private final Harness harness;

    public BalanceTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<Balance, Balance> setRequestValues(String authToken, String accountId) {
        return start -> start.withAuthorizationBearer("Bearer " + authToken)
                .id(accountId);
    }
}